% Generate 100-by-4-by-4 amat object symmetric positive definite matrices:
A=fc_amat.random.randnsympd(100,4);
% determinants computation:
D=det(A); % D: 100-by-1-by-1 amat object,  det(A(k))=D(k),    for all k
% LU factorizations:
[L,U,P]=lu(A);
E1=abs(L*U-P*A);
fprintf('max of E1 elements: %.6e\n',max(E1(:)))
% Cholesky factorizations:
R=chol(A);
E2=abs(R'*R-A);
fprintf('max of E2 elements: %.6e\n',max(E2(:)))
% Solving linear systems:
b=ones(4,1); % RHS
X=A\b;   % X: 100-by-4-by-1, X(k)=A(k)\b,    for all k
E3=abs(A*X-b);
fprintf('max of E3 elements: %.6e\n',max(E3(:)))
B=fc_amat.random.randn(100,4,1); % RHS
Y=A\B;   % Y: 100-by-4-by-1, Y(k)=A(k)\B(k), for all k
E4=abs(A*Y-B);
fprintf('max of E4 elements: %.6e\n',max(E4(:)))
whos
